%global module dummy_psu

Name: dummy-psu
Version: 1.0.0
Release: 3%{?dist}
Summary: Dummy power supply

License: GPLv2+
Source0: %{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires: gcc

%description
%{summary}.


%package module
Summary: Dummy power supply kernel module
Requires: dkms


%description module
%{summary}.


%package sender
Requires: python%{python3_pkgversion}-pyudev
Summary: Dummy power supply sender part


%description sender
%{summary}.


%package receiver
Summary: Dummy power supply receiver part
BuildRequires: json-c-devel


%description receiver
%{summary}.


%prep
%setup -q


%build
%{?set_build_flags}
make client


%install
%make_install


%files module
%defattr(-,root,root)
/usr/src/%{module}-%{version}/Makefile
/usr/src/%{module}-%{version}/%{module}.c
/usr/src/%{module}-%{version}/%{module}.h
/usr/src/%{module}-%{version}/dkms.conf


%files sender
%defattr(-,root,root)
%{_sysconfdir}/qubes-rpc/qubes.PowerSupply


%files receiver
%defattr(-,root,root)
/etc/qubes/post-install.d/20-dummy-psu.sh
/usr/bin/qubes-psu-client
/usr/lib/systemd/system/qubes-psu-client@.service
/usr/lib/systemd/system/module-load-dummy-psu.service


%post module
dkms add -m %{module} -v %{version} --rpm_safe_upgrade
if [ -e /lib/modules/$(uname -r)/build/include ]; then
    dkms build -m %{module} -v %{version}
    dkms install -m %{module} -v %{version}
else
    echo -e ""
    echo -e "Cannot find kernel headers for this kernel."
    echo -e "Skipping build and install stages..."
fi


%preun module
dkms remove -m %{module} -v %{version} --all --rpm_safe_upgrade


%post receiver
%systemd_post qubes-psu-client@.service
%systemd_post module-load-dummy-psu.service


%preun receiver
%systemd_postun qubes-psu-client@.service
%systemd_postun module-load-dummy-psu.service


%changelog
* Fri Nov 04 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-dummy-psu

* Fri Nov 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1f5b7af
- version 1.0.0-3

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6c15218
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3d51ff6
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9dc6065
- Drop Travis CI

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e23b254
- version 1.0.0-2

* Sun May 09 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ff7941b
- Add .gitlab-ci.yml

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 563d77f
- spec: add BR make

* Mon Oct 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2c41df6
- version 1.0.0-1

* Mon Oct 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 56a6373
- Add BR: gcc

* Fri Oct 09 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c3e40b2
- qubes-psu-client: handle DEBUG mode

* Fri Oct 09 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3cf6470
- Handle add of supplicants of 'SUPPLIED_TO' is provided.

* Fri Oct 09 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 117b7c0
- Fix and improvements with respect to Marek's comments

* Tue Oct 06 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ca0d7f0
- spec: allow to specify dist tag

* Tue Oct 06 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 689234a
- We don't need any new kernel modifications.

* Mon Oct 05 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 29470ef
- Fix gcc warnings and add CFLAGS in debug mode

* Mon Oct 05 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f574f77
- Add Travis

* Mon Oct 05 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fce5ef8
- client: remove useless commented headers

* Mon Oct 05 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - beda8a0
- Apply clang-format

* Mon Oct 05 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c9ce7e7
- Refactor: put all the POWER_SUPPLY_* knownledge into module

* Sat Oct 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 44d61a6
- Allow to receive from multiple backend

* Sat Oct 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 80e5cb0
- Rename dom0/VM as sender/receiver

* Sat Oct 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fedde25
- Refactor module and client

* Sun Sep 20 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f00acc7
- spec: don't enable by default

* Tue Sep 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 99e0250
- vm: module is built in Qubes kernel

* Mon Aug 31 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e0ff33d
- module: uapi power_supply is added in Qubes kernels

* Tue Aug 25 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fa19f3c
- Drop legacy RPC policy file

* Tue Aug 25 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e945215
- spec: enable services by default

* Mon Aug 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a7d2bde
- client: fix and change default call to qrexec client

* Mon Aug 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5e3931d
- spec: fix dkms R

* Mon Aug 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bcd0b46
- Add readme

* Sat Aug 22 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - eb1b68b
- vm: fix services

* Sat Aug 22 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d2d2eed
- Temporary solution for pending PR being merged

* Sat Aug 22 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e15ac8f
- Initial commit

